﻿/// <reference path="jquery-1.4.1-vsdoc.js" />
/****************************************
*文件名：Plug-In.1.1.1.js
*版本：1.1.1
*功能：自定义插件
*时间：2013-2-28
*创建人：李建峰(l171)
****************************************/
/****************************************
*功能：验证是否填写
*参数：message提示信息
*结果：true-填写，false-没有填写
****************************************/
jQuery.fn.Required = function (message) {
    var isRequired = true;
    this.each(function (index, one) {
        var span = jQuery(this).next("span");
        if (span != null && span.text() == message) {
            span.remove();
        }
        if (jQuery.trim(jQuery(this).val()) == "") {

            jQuery(this).after(jQuery("<span style=\"color:red\" data-type=\"error\">" + message + "</span>"));
            isRequired = false;
            return false;
        }
    });
    return isRequired;
}
/****************************************************
*功能：验证是否填写
*参数：maxLength-最大长度,error-错误信息
*返回值：true--已填写，false--没有填写
******************************************************/
jQuery.fn.RequiredMaxLength = function (options) {
    options = jQuery.extend({ maxLength: 20, error: "none" }, options);
    //删除元素
    jQuery(this).nextAll("span[data-type=\"error\"]").remove();
    if (jQuery(this).val().length == 0 || jQuery(this).val().length > options.maxLength) {
        if (options.error != "none") {
            jQuery("<span style=\"color:Red\" data-type=\"error\">" + options.error.replace("{0}", options.maxLength) + "</span>").insertAfter(jQuery(this));
        }
        return false;
    }
    return true;
}
/****************************************************
*功能：验证最大长度
*参数：maxLength-最大长度,error-错误信息
*返回值：true--小于最大长度，false--大于最大长度
******************************************************/
jQuery.fn.MaxLength = function (options) {
    options = jQuery.extend({ maxLength: 20, error: "none" }, options);
    //删除元素
    jQuery(this).nextAll("span[data-type=\"error\"]").remove();
    if (jQuery(this).val().length > options.maxLength) {
        if (options.error != "none") {
            jQuery("<span style=\"color:Red\" data-type=\"error\">" + options.error.replace("{0}", options.maxLength) + "</span>").insertAfter(jQuery(this));
        }
        return false;
    }
    return true;
}
/****************************************************
*功能：是否填写
*返回值：true--已填写，false--没有填写
******************************************************/
jQuery.fn.HasValue = function () {
    return jQuery(this).val().length > 0;
}
/****************************************************
*功能：验证输入格式
*参数：input验证的值，regular正则表达式，message提示信息
*结果：true-符合格式，false不符合
******************************************************/
jQuery.fn.Regular = function (regular, message) {
    var isRegular = true;
    this.each(function (index, one) {
        var span = jQuery(this).next("span");
        if (span != null && span.text() == message) {
            span.remove();
        }
        if (!regular.test(jQuery.trim(jQuery(this).val()))) {

            jQuery(this).after(jQuery("<span style=\"color:red\" data-type=\"error\">" + message + "</span>"));
            isRegular = false;
            return false;
        }
    });
    return isRegular;
}